source("helper.R")

boxplot_master_cluster <- read.csv("boxplot_master_trend.csv")

master_raw <- boxplot_master_cluster %>%
  select(region, cluster, key, pct)

newlevels <- c("M_total", "M_POP", "M_GDP", "M_ENERGY", "M_ELEC_COAL", "M_INDUS_COAL",
                         "M_INDUS_LIQ", "M_TRANS_LIQ", "M_BUILD_BIO", "M_OTHER", "M_PM_ELEC_COAL",
                         "M_PM_INDUS_COAL", "M_PM_INDUS_LIQ", "M_PM_TRANS_LIQ", "M_PM_BUILD_BIO",
                         "M_PM_OTHER")

master <- master_raw %>%
  mutate(key = factor(key, levels = newlevels))


master_cluster <- master %>%
  droplevels() %>%
  group_by(key) %>%
  summarise(t = t.test(pct ~ cluster, paired = F)$p.value) %>%
  ungroup() 


write.csv(master_cluster,  "master_cluster_Ttest_result.csv", row.names = F)









